> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/console/service-provider.md).

# Service Provider

## GET /serviceProvider

> List all service providers

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/serviceProvider":{"get":{"operationId":"findAll_5","responses":{"default":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ServiceProviderModel"}}}},"description":"default response"}},"summary":"List all service providers","tags":["service-provider"]}}},"components":{"schemas":{"ServiceProviderModel":{"type":"object","properties":{"createdDate":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid"},"modifiedDate":{"type":"string","format":"date-time"},"optionalDependencies":{"type":"array","items":{"type":"string","enum":["REPOSITORY","SPARK","DGC","SEARCH"]}},"requiredDependencies":{"type":"array","items":{"type":"string","enum":["REPOSITORY","SPARK","DGC","SEARCH"]}},"status":{"type":"string"},"type":{"type":"string","enum":["REPOSITORY","SPARK","DGC","SEARCH"]}}}}}}
```

## POST /serviceProvider/repositorycluster/create

> Create a new repository cluster

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/serviceProvider/repositorycluster/create":{"post":{"operationId":"createRepositoryCluster","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"description":"The name of the cluster to create"},"responses":{"default":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceProviderModel"}}},"description":"default response"}},"summary":"Create a new repository cluster","tags":["service-provider"]}}},"components":{"schemas":{"ServiceProviderModel":{"type":"object","properties":{"createdDate":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid"},"modifiedDate":{"type":"string","format":"date-time"},"optionalDependencies":{"type":"array","items":{"type":"string","enum":["REPOSITORY","SPARK","DGC","SEARCH"]}},"requiredDependencies":{"type":"array","items":{"type":"string","enum":["REPOSITORY","SPARK","DGC","SEARCH"]}},"status":{"type":"string"},"type":{"type":"string","enum":["REPOSITORY","SPARK","DGC","SEARCH"]}}}}}}
```

## POST /serviceProvider/repositorycluster/{serviceProviderId}/addSlave/{managedServiceId}

> Add a slave repository to a repository cluster

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/serviceProvider/repositorycluster/{serviceProviderId}/addSlave/{managedServiceId}":{"post":{"operationId":"addSlaveToRepositoryCluster","parameters":[{"description":"The id of the target cluster","in":"path","name":"serviceProviderId","required":true,"schema":{"type":"string","format":"uuid"}},{"description":"The id of the repository managed service","in":"path","name":"managedServiceId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation"},"409":{"description":"The slave cannot be added to the repository cluster due to the current state of the cluster or the repository"}},"summary":"Add a slave repository to a repository cluster","tags":["service-provider"]}}}}
```

## POST /serviceProvider/repositorycluster/{serviceProviderId}/remove/{managedServiceId}

> Remove a repository from the cluster

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/serviceProvider/repositorycluster/{serviceProviderId}/remove/{managedServiceId}":{"post":{"operationId":"removeFromRepositoryCluster","parameters":[{"description":"The id of the target cluster","in":"path","name":"serviceProviderId","required":true,"schema":{"type":"string","format":"uuid"}},{"description":"The id of the repository managed service","in":"path","name":"managedServiceId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation"},"409":{"description":"The repository in the cluster can't be removed due to the current state of the cluster or the repository"}},"summary":"Remove a repository from the cluster","tags":["service-provider"]}}}}
```

## POST /serviceProvider/repositorycluster/{serviceProviderId}/setMaster/{managedServiceId}

> Set the master repository of a repository cluster

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/serviceProvider/repositorycluster/{serviceProviderId}/setMaster/{managedServiceId}":{"post":{"operationId":"setMasterInRepositoryCluster","parameters":[{"description":"The id of the target cluster","in":"path","name":"serviceProviderId","required":true,"schema":{"type":"string","format":"uuid"}},{"description":"The id of the repository managed service","in":"path","name":"managedServiceId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation"},"409":{"description":"The master cannot be set to the cluster due to the current state of the cluster or the repository"}},"summary":"Set the master repository of a repository cluster","tags":["service-provider"]}}}}
```

## POST /serviceProvider/serviceProvider/{serviceProviderId}/start

> Start a service provider

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/serviceProvider/serviceProvider/{serviceProviderId}/start":{"post":{"operationId":"start_2","parameters":[{"description":"The ID of the service provider to start","in":"path","name":"serviceProviderId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"202":{"description":"successful operation"}},"summary":"Start a service provider","tags":["service-provider"]}}}}
```

## POST /serviceProvider/serviceProvider/{serviceProviderId}/stop

> Stop a service provider

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/serviceProvider/serviceProvider/{serviceProviderId}/stop":{"post":{"operationId":"stop_2","parameters":[{"description":"The ID of the service provider to stop","in":"path","name":"serviceProviderId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"202":{"description":"successful operation"}},"summary":"Stop a service provider","tags":["service-provider"]}}}}
```

## GET /serviceProvider/{serviceProviderId}

> Get a service provider by ID

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/serviceProvider/{serviceProviderId}":{"get":{"operationId":"getById_7","parameters":[{"description":"The ID of the service provider","in":"path","name":"serviceProviderId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"default":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceProviderModel"}}},"description":"default response"}},"summary":"Get a service provider by ID","tags":["service-provider"]}}},"components":{"schemas":{"ServiceProviderModel":{"type":"object","properties":{"createdDate":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid"},"modifiedDate":{"type":"string","format":"date-time"},"optionalDependencies":{"type":"array","items":{"type":"string","enum":["REPOSITORY","SPARK","DGC","SEARCH"]}},"requiredDependencies":{"type":"array","items":{"type":"string","enum":["REPOSITORY","SPARK","DGC","SEARCH"]}},"status":{"type":"string"},"type":{"type":"string","enum":["REPOSITORY","SPARK","DGC","SEARCH"]}}}}}}
```

## DELETE /serviceProvider/{serviceProviderId}

> Delete a service provider

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/serviceProvider/{serviceProviderId}":{"delete":{"operationId":"remove_4","parameters":[{"description":"The id of the service provider to delete","in":"path","name":"serviceProviderId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"successful operation"}},"summary":"Delete a service provider","tags":["service-provider"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/references/console/service-provider.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
